services:
  periphery:
    image: ghcr.io/moghtech/komodo-periphery:latest
    container_name: komodo-periphery
    cpus: 2.0
    mem_limit: "2048m"
    mem_reservation: "512m"
    ports:
      - "8120:8120"
    user: root
    labels:
      - "komodo.skip=true"
    restart: unless-stopped
    #env_file: ./.env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /root/.docker/config.json:/root/.docker/config.json:ro
      - /proc:/proc
      - /docker/periphery/etc:/etc/komodo